/* pixel.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_pixel_h
#define N96_DRAW_pixel_h

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#define PIXSTRIDE (4)
typedef struct Pixel {
	double rgb[PIXSTRIDE];
} Pixel;

Pixel pixel_default();
void nan_pixel_assert(Pixel pixel);
Pixel rgbpixel_with_alpha(Pixel pixel, double a);

#endif /* N96_DRAW_pixel_h */
